You are not logged in.

#1 2017-08-24 15:57:09

pbaxter
Member
Registered: 2017-08-24
Posts: 5

failure migration repository

Hello all!

I tried to migrate from current archlinux official repo following the transition process as described here: https://archlinux32.org/download/
However, I can't downgrade my packages and I get this error

:: Il file /var/cache/pacman/pkg/xorg-server-common-1.19.3-2-i686.pkg.tar.xz è corrotto (il pacchetto non è valido oppure è corrotto (firma PGP)).
Vuoi eliminarlo? [S/n] n
errore: xorg-server: signature from "Erich Eckner (just to sign arch packages) <arch@eckner.net>" is invalid
:: Il file /var/cache/pacman/pkg/xorg-server-1.19.3-2-i686.pkg.tar.xz è corrotto (il pacchetto non è valido oppure è corrotto (firma PGP)).
Vuoi eliminarlo? [S/n] n
errore: impossibile eseguire l'operazione richiesta (il pacchetto non è valido oppure è corrotto (firma PGP))
Si sono verificati degli errori, nessun pacchetto è stato aggiornato.

It's not english but it first asks me to delete all packages that should downgrade and then it says "there have been errors, no package is updated".
DId i do something wrong?

Offline

#2 2017-08-25 07:30:40

deep42thought
Administrator
From: Jena, Germany
Registered: 2017-06-17
Posts: 608

Re: failure migration repository

Did

pacman -U /var/cache/pacman/pkg/archlinux32-keyring-*.pkg.tar.xz

run successful?

Offline

#3 2017-08-25 10:29:53

pbaxter
Member
Registered: 2017-08-24
Posts: 5

Re: failure migration repository

i got this

(1/1) reinstallazione archlinux32-keyring          [######################] 100%
==> Aggiunta delle chiavi da archlinux32.gpg in corso...
==> Sto firmando localmente le chiavi verificate nel keyring...
  -> Sto firmando localmente la chiave CE0BDE71A759A87F23F0F7D8B61DBCE10901C163...
  -> Sto firmando localmente la chiave A0B250C0FC9FC079EC04ADB7A50C0F20AEC3AF00...
  -> Sto firmando localmente la chiave 194E37A47A4C671807BACB37B1117BC1094EA6E9...
==> Sto importando i valori...
==> Aggiornamento del database in corso...
gpg: il prossimo controllo del trustdb sarà fatto il 2017-10-20
:: Esecuzione degli hook di post-transazione...
(1/1) Arming ConditionNeedsUpdate...

it seems working but then i got the same problem..i'm trying again smile

Offline

#4 2017-08-25 10:34:13

deep42thought
Administrator
From: Jena, Germany
Registered: 2017-06-17
Posts: 608

Re: failure migration repository

ah, my bad:
It tries to install the files from your cache - which do not match to my signature in the database.

Running

pacman -Sc

before the upgrade should fix that.

Or as a less invasive workaround: simply answer "Y" ("S" in italian) to the questions provided by pacman about the signature mismatch.

Offline

#5 2017-08-25 13:32:49

pbaxter
Member
Registered: 2017-08-24
Posts: 5

Re: failure migration repository

it worked. thanks for your help!

Offline

Board footer

Powered by FluxBB